Syncware
  1. Orders
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
      GET
    • Query Single Customer
      GET
    • Create New Customer
      POST
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Orders

Query All Orders

GET
/orders
Orders
Last modified:2026-10-22 03:11:08

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.syncware.com/api/v1/orders?lastOrderDate={lastOrderDate}&lastOrderId={lastOrderId}&page={page}&limit={limit}&skip={skip}&sort={sort}&sortDirection={sortDirection}&filterText={filterText}&source={source}&status={status}&ack={ack}&targetEndpointId={targetEndpointId}' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
	"Total": 120,
	"OrderList": [
		{
			"Id": 12345,
			"OrderID": "2205968",
			"Source": "RepZio",
			"OrderNumber": "synqware_1234",
			"Customer": "coast to coast nautical home decor",
			"AcctgId": "cust-465",
			"IsNewCustomer": false,
			"PO": "PO123456",
			"TxnId": "123456",
			"OrderDate": "2021-06-12T15:23:03Z",
			"ShipDate": "2021-06-12T15:23:03Z",
			"CancelDate": null,
			"ReceiptDate": null,
			"ServerID": "100002365",
			"ShipMethod": "",
			"ShipService": "",
			"PaymentMethod": "",
			"BizOrderType": "SO",
			"BillingAddress": {
				"Company": "coast to coast nautical home decor",
				"Name": "Jane Doe",
				"Address1": "111 Main St",
				"Address2": "",
				"City": "Boston",
				"State": "MA",
				"Zip": "B0W2A0",
				"Country": "CA",
				"Email": "jane@someemail.net"
			},
			"ShippingAddress": {
				"Company": "coast to coast nautical home decor",
				"Name": "Jane Doe",
				"Address1": "111 Main St",
				"Address2": "",
				"City": "Boston",
				"State": "MA",
				"Zip": "B0W2A0",
				"Country": "CA",
				"Email": "jane@someemail.net"
			},
			"Agency": "Super Agency",
			"RepName": "Joe Mark",
			"RepEmail": "joe@superagency.com",
			"RepPhone": "123.123.2563",
			"Terms": "N30",
			"Notes": "",
			"Status": "",
			"Brand": "Vendor One",
			"BackOrder": "true",
			"SubTotal": "265.2",
			"Tax": "0.0",
			"Discount": "0.0",
			"DiscountCode": "",
			"Total": "240.0",
			"Commission": "25.2",
			"Freight": "0.0",
			"CCType": "",
			"CCNumber": "",
			"CCToken": "",
			"CCExp": "",
			"CCCvv": "",
			"CCName": "",
			"ccAuthId": "",
			"San": "",
			"BranchName": "",
			"Location": "Road",
			"Department": "",
			"DistributionCenter": "",
			"LineItems": [
				{
					"LineNumber": 1,
					"LineKey": "",
					"SKU": "ITEM-001",
					"Description": "Some long description",
					"Price": "3.5",
					"RetailPrice": "",
					"Quantity": "5",
					"QuantityOrdered": "",
					"QuantityInvoiced": "",
					"QuantitySent": "",
					"Discount": "2.0",
					"UPC": "1112223331110",
					"TxnLineId": "",
					"Notes": ""
				}
			],
			"CustomFields": [
				{
					"Name": "OrderSource",
					"Value": "Road"
				}
			]
		}
	]
}
Previous
Update Profile
Next
Query Single Order
Built with